package org.jeecg.modules.alUser.service;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.postBean.PwdModel;
import org.jeecg.modules.postBean.ReqUserRole;
import org.jeecg.modules.postBean.UserLoginModel;


public interface UserService {

    Result<JSONObject> login(UserLoginModel userLoginModel);

    Result<JSONObject> reg(UserLoginModel userLoginModel);


    Result<JSONObject> role(ReqUserRole reqUserRole);


    Result<JSONObject> newPassword(PwdModel pwdModel);

}
